texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

branch master updated: * tp/maintain/check_epubcheck_texi_t.sh: check sy


From: Patrice Dumas
Subject: branch master updated: * tp/maintain/check_epubcheck_texi_t.sh: check systematically EPUB t/*.t tests validity.
Date: Wed, 04 Sep 2024 08:14:47 -0400

This is an automated email from the git hooks/post-receive script.

pertusus pushed a commit to branch master
in repository texinfo.

The following commit(s) were added to refs/heads/master by this push:
     new aacf03189d * tp/maintain/check_epubcheck_texi_t.sh: check 
systematically EPUB t/*.t tests validity.
aacf03189d is described below

commit aacf03189dc2c588bbc2f898c23cd6f58d3d37b8
Author: Patrice Dumas <pertusus@free.fr>
AuthorDate: Wed Sep 4 14:14:47 2024 +0200

    * tp/maintain/check_epubcheck_texi_t.sh: check systematically EPUB
    t/*.t tests validity.
---
 ChangeLog                             |  5 ++
 tp/maintain/check_epubcheck_texi_t.sh | 91 +++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/ChangeLog b/ChangeLog
index 503094ea9f..65d4a3426a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2024-09-04  Patrice Dumas  <pertusus@free.fr>
+
+       * tp/maintain/check_epubcheck_texi_t.sh: check systematically EPUB
+       t/*.t tests validity.
+
 2024-09-04  Patrice Dumas  <pertusus@free.fr>
 
        * tp/maintain/check_back_xml_forth_texi_t.sh: add $srcdir for out of
diff --git a/tp/maintain/check_epubcheck_texi_t.sh 
b/tp/maintain/check_epubcheck_texi_t.sh
new file mode 100755
index 0000000000..7ca2e372dc
--- /dev/null
+++ b/tp/maintain/check_epubcheck_texi_t.sh
@@ -0,0 +1,91 @@
+#! /bin/sh
+#
+# check_epubcheck_texi_t.sh: check EPUB conformity of the tp/t/*.t tests.
+#
+# Copyright 2022-2024 Free Software Foundation, Inc.
+#
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+#
+# Originally written by Patrice Dumas.
+
+
+#set -e
+
+if [ z"$srcdir" = 'z' ]; then
+  srcdir='.'
+fi
+
+mdir=check_epubcheck
+mkdir -p $mdir
+
+set -x
+
+echo "generate t directory Texinfo files"
+one_directory=no
+one_test=no
+if test -n "$1"; then
+  one_directory=yes
+  the_directory=$1
+  if test -n "$2" ; then
+    one_test=yes
+    the_test=$2
+    if test -f ${srcdir}/t/$the_directory.t ; then
+      perl -w ${srcdir}/t/$the_directory.t -c $the_test
+    elif test -f ${srcdir}/t/??$the_directory.t ; then
+      perl -w ${srcdir}/t/??$the_directory.t -c $the_test
+    else
+      perl -w ${srcdir}/t/???$the_directory.t -c $the_test
+    fi
+  else
+    rm -rf $mdir/epubcheck_EPUB/$the_directory 
$mdir/epubcheck_check/$the_directory $mdir/epubcheck_logs/$the_directory.log
+    if test -f ${srcdir}/t/$the_directory.t ; then
+      perl -w ${srcdir}/t/$the_directory.t -c
+    elif test -f ${srcdir}/t/??$the_directory.t ; then
+      perl -w ${srcdir}/t/??$the_directory.t -c
+    else
+      perl -w ${srcdir}/t/???$the_directory.t -c
+    fi
+  fi
+else
+  rm -rf $mdir/epubcheck_EPUB $mdir/epubcheck_check $mdir/epubcheck_logs
+  ${srcdir}/maintain/all_tests.sh texis > $mdir/all_tests_texis.log
+fi
+
+mkdir -p $mdir/epubcheck_logs
+for dir in `find t_texis/ -type d` ; do
+  bdir=`echo $dir | sed 's;t_texis/;;'`
+  if test z"$bdir" = 'z' ; then
+    # for the t_texis/ directory
+    continue
+  fi
+  if test $one_directory = 'yes' -a z"$the_directory" != z"$bdir" ; then
+    continue
+  fi
+  echo "doing $bdir"
+  mkdir -p $mdir/epubcheck_EPUB/$bdir $mdir/epubcheck_check/$bdir
+  if test $one_test = 'yes' ; then
+    mkdir -p $mdir/onetest_logs
+    logfile=$mdir/onetest_logs/$the_test.log
+  else
+    logfile=$mdir/epubcheck_logs/$bdir.log
+  fi
+  (
+  for file in $dir/*.texi; do
+    bfile=`basename $file .texi`
+    if test $one_test = 'yes' -a z"$the_test" != z"$bfile" ; then
+      continue
+    fi
+    echo "    -> $file: EPUB"
+    ${srcdir}/texi2any.pl --epub --force --error=100000 -o 
$mdir/epubcheck_EPUB/$bdir/$bfile.epub $file
+    echo "              epubcheck"
+    epubcheck $mdir/epubcheck_EPUB/$bdir/$bfile.epub 
2>$mdir/epubcheck_check/$bdir/$bfile.out
+  done
+  ) > $logfile 2>&1
+done
+



reply via email to

[Prev in Thread] Current Thread [Next in Thread]